[Collab-qa-commits] r1372 - in udd: . scripts

lucas at alioth.debian.org lucas at alioth.debian.org
Tue Jan 6 15:15:47 UTC 2009


Author: lucas
Date: 2009-01-06 15:15:47 +0000 (Tue, 06 Jan 2009)
New Revision: 1372

Added:
   udd/scripts/sync-carnivore.sh
Modified:
   udd/config-org.yaml
   udd/scripts/generate-schema.sh
Log:
fixed scripts & config for carnivore

Modified: udd/config-org.yaml
===================================================================
--- udd/config-org.yaml	2009-01-06 15:14:36 UTC (rev 1371)
+++ udd/config-org.yaml	2009-01-06 15:15:47 UTC (rev 1372)
@@ -214,7 +214,7 @@
 
 carnivore:
   type: carnivore
-  update-command: /org/udd.debian.org/mirrors/sync-carnivore
+  update-command: /org/udd.debian.org/udd/scripts/sync-carnivore.sh
   path: /org/udd.debian.org/mirrors/qa.debian.org/carnivore/report
   emails-table: carnivore_emails
   names-table: carnivore_names

Modified: udd/scripts/generate-schema.sh
===================================================================
--- udd/scripts/generate-schema.sh	2009-01-06 15:14:36 UTC (rev 1371)
+++ udd/scripts/generate-schema.sh	2009-01-06 15:15:47 UTC (rev 1372)
@@ -2,8 +2,8 @@
 
 set -e
 set -x
-mkdir -p /org/udd.debian.net/udd/web/schema
-cd /org/udd.debian.net/udd/web/schema
-postgresql_autodoc -d udd -t html
-postgresql_autodoc -d udd -t dot
+mkdir -p /org/udd.debian.org/udd/web/schema
+cd /org/udd.debian.org/udd/web/schema
+postgresql_autodoc -d udd -p 5441 -t html
+postgresql_autodoc -d udd -p 5441 -t dot
 dot -Tpng udd.dot > udd.png

Added: udd/scripts/sync-carnivore.sh
===================================================================
--- udd/scripts/sync-carnivore.sh	                        (rev 0)
+++ udd/scripts/sync-carnivore.sh	2009-01-06 15:15:47 UTC (rev 1372)
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+umask 002
+SRC=he at merkel.debian.org:/org/qa.debian.org/carnivore
+TARGET=/org/udd.debian.org/mirrors/qa.debian.org/
+
+mkdir $TARGET &>/dev/null || true
+
+rsync --quiet -e  "ssh -i /org/udd.debian.org/.ssh/id_carnivore_sync" -avz $SRC $TARGET


Property changes on: udd/scripts/sync-carnivore.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Collab-qa-commits mailing list